net.sf.jasperreports.crosstabs.xml

## Class JRCrosstabBucketFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.crosstabs.xml.JRCrosstabBucketFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class JRCrosstabBucketFactory
      extends JRBaseFactory

  Version:
    $Id: JRCrosstabBucketFactory.java 6313 2013-07-10 14:38:42Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_class`
    `static java.lang.String` | `ATTRIBUTE_order`
    `static java.lang.String` | `ELEMENT_bucket`
    `static java.lang.String` | `ELEMENT_bucketExpression`
    `static java.lang.String` | `ELEMENT_comparatorExpression`
    `static java.lang.String` | `ELEMENT_orderByExpression`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCrosstabBucketFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_bucket

          public static final java.lang.String ELEMENT_bucket

      See Also:
        Constant Field Values

    - #### ELEMENT_bucketExpression

          public static final java.lang.String ELEMENT_bucketExpression

      See Also:
        Constant Field Values

    - #### ELEMENT_orderByExpression

          public static final java.lang.String ELEMENT_orderByExpression

      See Also:
        Constant Field Values

    - #### ELEMENT_comparatorExpression

          public static final java.lang.String ELEMENT_comparatorExpression

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_class

          public static final java.lang.String ATTRIBUTE_class

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_order

          public static final java.lang.String ATTRIBUTE_order

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRCrosstabBucketFactory

          public JRCrosstabBucketFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes attributes)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com